Name:           ocaml-creal
Version:        0.7
Release:        %mkrel 4
Summary:        Exact real arithmetic for OCaml
URL:            http://www.lri.fr/~filliatr/creal.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/ocaml/ds/creal-%{version}.tar.gz
Source1:        ocaml-creal-META
License:        LGPL 2
Group:          Development/OCaml
BuildRequires:  ocaml
BuildRequires:  gmp-devel

%description
Creal is an exact real arithmetic library for Objective Caml.   
This module implements exact real arithmetic, following Valrie
Mnissier-Morain Ph.D. thesis (http://www-calfor.lip6.fr/~vmm/).
A real x is represented as a function giving, for any n, an
approximation zn/4^n of x such that |zn/4^n - x| < 1, where zn is an
arbitrary precision integer (of type Gmp.Z.t).
Coercions from type int, Gmp.Z.t, Gmp.Q.t, basic operations (addition,
subtraction, multiplication, division, power, square root) and
transcendental functions (sin, cos, tan, log, exp, arcsin, arccos,
etc.) and a few constants (pi, e) are provided.
A small reverse-polish calculator is provided to test the library.
Written by Jean-Christophe Fillitre.

%package devel
Summary:        Exact real arithmetic for Objective Caml
Group:          Development/OCaml
Requires:       gmp-devel
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n creal-%{version}
chmod 644 README CHANGES *.mli mlgmp/*.mli
perl -pi -e 's/\015$//' README
cp %{SOURCE1} META
sed -i -e 's:@VERSION@:%{version}:g' META

%build
./configure --prefix=%{buildroot}/usr
make

%install
rm -rf %{buildroot}
%define destdir %{buildroot}%{_libdir}/ocaml/creal
install -d %{destdir}
make install LIBDIR=%{destdir}
cp META dllcreal.so %{destdir}

%files
%doc README CHANGES
%dir %{_libdir}/ocaml/creal
%{_libdir}/ocaml/creal/META
%{_libdir}/ocaml/creal/*.cmi
%{_libdir}/ocaml/creal/*.cma
%{_libdir}/ocaml/creal/*.so*
%{_bindir}/ecalc

%files devel
%{_libdir}/ocaml/creal/*.a
%{_libdir}/ocaml/creal/*.cmxa
%{_libdir}/ocaml/creal/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7-4.mga3
+ Revision: 361235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.7-3.mga3
+ Revision: 301645
- new rpm group for ocaml
- new rpm group for ocaml

* Thu Apr 12 2012 blue_prawn <blue_prawn> 0.7-1.mga2
+ Revision: 230541
- imported package ocaml-creal

